<!-- 搜索表单 -->
<template>
  <seekPage :seekList="seekList" :formLength="4" @search="search"></seekPage>
</template>

<script>
  import { workorderStatus } from '@/utils/dict/operationManage';
  export default {
    components: {},
    data() {
      return {};
    },
    computed: {
      // 表格列配置
      seekList() {
        return [
          {
            label: '单号：',
            value: 'code',
            type: 'input',
            placeholder: ''
          },
          {
            label: '计划单号：',
            value: 'planCode',
            type: 'input',
            placeholder: ''
          },
          {
            label: '状态：',
            value: 'status',
            type: 'select',
            selectList: workorderStatus,
            placeholder: ''
          },
          {
            label: '执行人：',
            value: 'executeUserId',
            type: 'personSelect',
            placeholder: ''
          },
          {
            label: '创建时间：',
            value: 'time',
            type: 'date',
            dateType: 'datetimerange',
            placeholder: '',
            width: 380,
            valueAr: ['startTime', 'endTime']
          }
        ];
      }
    },
    created() {},
    methods: {
      /* 搜索 */
      search(e) {
        this.$emit('search', {...e});
      }
    }
  };
</script>
<style lang="scss" scoped></style>
